#include <Wire.h>
#include <avr/io.h>
#define LED_PIN 4
void setup() {
  pinMode(LED_PIN, OUTPUT);
  pinMode(0, OUTPUT);  // Motor output 1
  pinMode(1, OUTPUT);  // Motor output 2
  Wire.begin(8);       // Change this address for each slave
  Wire.onReceive(receiveEvent);
}

void loop() {
  // Nothing is needed in the loop
}

void receiveEvent(int howMany) {
  while (Wire.available()) {
    int received = Wire.read(); // Read the command sent by the master
    if (received == 1) {
      digitalWrite(0, HIGH);
      digitalWrite(1, LOW);
      digitalWrite(LED_PIN, HIGH);
    } else if (received == 0) {
      digitalWrite(0, LOW);
      digitalWrite(1, LOW);
      digitalWrite(LED_PIN, LOW);
    } else {
      digitalWrite(1, HIGH);
      digitalWrite(0, LOW);
      digitalWrite(LED_PIN, HIGH);
    }
  }
}
